## opengcs 0.3.4+dfsg2

=== service/Makefile ===
.PHONY: all gobins clean

WORKDIR=$(abspath $(dir $(lastword $(MAKEFILE_LIST))))
BINDIR=$(WORKDIR)/bin

GO_PACKAGES=\
	./gcs \
	./gcsutils/gcstools

GCS_TOOLS=\
	tar2vhd \
	vhd2tar \
	exportSandbox \
	netnscfg \
	remotefs

GO_FLAGS=-pkgdir "$(WORKDIR)/pkg"

all: gobins

gobins:
	(cd $(WORKDIR) && GOBIN="$(BINDIR)" CGO_ENABLED=0 go install $(GO_FLAGS) $(GO_PACKAGES))
	(cd $(BINDIR) && $(foreach tool,$(GCS_TOOLS), ln -f "gcstools" "$(tool)";))

clean:
	rm -f "$(BINDIR)/"*

=== service/gcsutils/Makefile ===
.PHONY: clean test-all test-tar2vhd test-exportSandbox

TESTDIR=test
INPUTPATH=$(TESTDIR)/input.tar
VHDPATH=$(TESTDIR)/input.vhd
OUTPUTPATH=$(TESTDIR)/output.tar
TESTFOLDER=$(TESTDIR)/folder

test-all: test-tar2vhd test-exportSandbox

test-tar2vhd:
	$(BINDIR)/tar2vhd < $(INPUTPATH) > $(VHDPATH)
	$(BINDIR)/vhd2tar < $(VHDPATH) > $(OUTPUTPATH)
	cmp $(INPUTPATH) $(OUTPUTPATH)
	rm -rf $(VHDPATH) $(OUTPUTPATH)

test-exportSandbox:
	mkdir -p $(TESTFOLDER)/upper
	tar xf $(INPUTPATH) -C $(TESTFOLDER)/upper
	$(BINDIR)/exportSandbox -path $(TESTFOLDER) > $(OUTPUTPATH)
	cmp $(INPUTPATH) $(OUTPUTPATH)
	rm -rf $(OUTPUTPATH) $(TESTFOLDER)

## opengcs 0.3.4%2Bdfsg2

=== debian/control ===
Source: opengcs
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Balint Reczey <rbalint@ubuntu.com>
Build-Depends: busybox-static,
               debhelper (>= 10),
               dh-golang (>= 1.17~),
               golang-any,
#               golang-github-docker-containerd-dev,
#               golang-github-docker-docker-dev,
               golang-github-docker-go-units-dev,
               golang-github-linuxkit-virtsock-dev,
               golang-github-mattn-go-shellwords-dev,
               golang-ginkgo-dev,
               golang-gomega-dev,
               golang-github-opencontainers-runc-dev,
               golang-github-opencontainers-specs-dev,
               golang-github-pkg-errors-dev,
               golang-github-sirupsen-logrus-dev,
               golang-github-vishvananda-netlink-dev,
               golang-github-vishvananda-netns-dev,
               golang-golang-x-sys-dev
Standards-Version: 4.1.1
Homepage: https://github.com/Microsoft/opengcs
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/opengcs.git
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/opengcs.git
XS-Go-Import-Path: github.com/Microsoft/opengcs
Testsuite: autopkgtest-pkg-go

Package: opengcs
Architecture: any
Built-Using: ${misc:Built-Using}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         iproute|iproute2,
         runc (>= 1.0.0~rc4),
         udhcpd
Description: Guest Compute Service for Linux Hyper-V Container
 Open Guest Compute Service is a Linux-based open source project to
 further the development of a production quality implementation of
 Linux Hyper-V container on Microsoft Windows (LCOW).
 It's designed to run inside a custom Linux OS for supporting Linux
 container payload.

## opengcs 0.3.4+dfsg2

=== debian/changelog ===
opengcs (0.3.4+dfsg2-0ubuntu3.20.04.5) focal-security; urgency=medium

  * No change rebuild due to golang-1.20, golang-1.21 updates

 -- Nishit Majithia <nishit.majithia@canonical.com>  Thu, 18 Jan 2024 10:06:16 +0530

opengcs (0.3.4+dfsg2-0ubuntu3.20.04.4) focal; urgency=medium

  * Build with Go 1.20 to fix FTBFS against runc (LP: #2028405).
    - d/control: b-d on golang-1.20-go instead of golang-any.
    - d/rules: add Go 1.20 to the $PATH.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Mon, 17 Jul 2023 16:42:51 -0300

opengcs (0.3.4+dfsg2-0ubuntu3.20.04.3) focal-security; urgency=medium

  * No-change rebuild due to golang-1.13 update

 -- David Fernandez Gonzalez <david.fernandezgonzalez@canonical.com>  Tue, 11 Oct 2022 03:34:11 +0200

opengcs (0.3.4+dfsg2-0ubuntu3.20.04.2) focal; urgency=medium

  * d/p/0003-Add-support-for-runc-1.0.x.patch: Comply with the libcontainer
    API changes introduced in runc 1.0.x (LP: #1938908).

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Mon, 18 Oct 2021 09:06:05 -0300

opengcs (0.3.4+dfsg2-0ubuntu3.20.04.1) focal; urgency=medium

  * d/p/0002-Simplify-ticks.patch: simplify ticks using a constant. This
    change follows what was done by runc upstream maintainers (LP: #1912691).

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Mon, 22 Mar 2021 12:02:47 -0300

opengcs (0.3.4+dfsg2-0ubuntu3) bionic; urgency=medium

  * Depend on iproute|iproute2

 -- Stefan Bader <stefan.bader@canonical.com>  Thu, 08 Mar 2018 11:49:10 +0100

opengcs (0.3.4+dfsg2-0ubuntu2) bionic; urgency=medium

  * Fix build on 32 bit architectures (LP: #1746697)

 -- Balint Reczey <rbalint@ubuntu.com>  Sat, 03 Feb 2018 03:15:07 +0100

opengcs (0.3.4+dfsg2-0ubuntu1) bionic; urgency=medium

  * Initial release (Closes: #873033, LP: #1736397)

 -- Balint Reczey <rbalint@ubuntu.com>  Thu, 04 Jan 2018 21:02:35 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: busybox-static,
                debhelper (>= 10),
                dh-golang (>= 1.17~),
-               golang-any,
+               golang-1.20-go,
 #               golang-github-docker-containerd-dev,
 #               golang-github-docker-docker-dev,
                golang-github-docker-go-units-dev,

=== debian/rules ===
#!/usr/bin/make -f

# Build with Golang 1.20
export PATH := $(PATH):/usr/lib/go-1.20/bin/

%:
	dh $@ --buildsystem=golang --with=golang --builddirectory=_build

override_dh_auto_configure:
	dh_auto_configure
	## use originally vendored docker which is readded as an additional
	## upstream tarball until docker.io is upgraded to compatible version
	mkdir -p _build/src/vendor/github.com/docker
	ln -svrf docker _build/src/vendor/github.com/docker/
	ln -svrf containerd _build/src/vendor/github.com/docker/

# skip tests, they try to modify the system
override_dh_auto_test:

# don't ship source, copy binaries to /bin using .install file instead
override_dh_auto_install:
	dh_auto_install -- --no-source --no-binaries
	install -m 755 /usr/share/doc/busybox-static/examples/udhcp/simple.script debian/udhcpc_config.script

override_dh_auto_clean:
	dh_auto_clean
	rm -f debian/udhcpc_config.script
